### Function

# Babl space_get

#### Declaration [src]

    void
    babl_space_get (
      const Babl* space,
      double* xw,
      double* yw,
      double* xr,
      double* yr,
      double* xg,
      double* yg,
      double* xb,
      double* yb,
      const Babl** red_trc,
      const Babl** green_trc,
      const Babl** blue_trc
    )

#### Description [src]

Query the chromaticities of white point and primaries as well as trcs used for r g a nd b, all arguments are optional (can be `NULL`).

#### Parameters

`space`

  Type: `Babl`

  A `Babl` instance.

  The data is owned by the caller of the function.

`xw`

  Type: `double*`

  The X-coordinate of the color space’s white point.

  The argument will be set by the function.
  The argument can be `NULL`.

`yw`

  Type: `double*`

  The Y-coordinate of the color space’s white point.

  The argument will be set by the function.
  The argument can be `NULL`.

`xr`

  Type: `double*`

  The X-coordinate of the red primary.

  The argument will be set by the function.
  The argument can be `NULL`.

`yr`

  Type: `double*`

  The Y-coordinate of the red primary.

  The argument will be set by the function.
  The argument can be `NULL`.

`xg`

  Type: `double*`

  The X-coordinate of the blue primary.

  The argument will be set by the function.
  The argument can be `NULL`.

`yg`

  Type: `double*`

  The Y-coordinate of the green primary.

  The argument will be set by the function.
  The argument can be `NULL`.

`xb`

  Type: `double*`

  The X-coordinate of the blue primary.

  The argument will be set by the function.
  The argument can be `NULL`.

`yb`

  Type: `double*`

  The Y-coordinate of the blue primary.

  The argument will be set by the function.
  The argument can be `NULL`.

`red_trc`

  Type: `Babl`

  The red component of the TRC.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`green_trc`

  Type: `Babl`

  The green component of the TRC (can be `NULL` if it’s the same as `red_trc`).

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`blue_trc`

  Type: `Babl`

  The blue component of the TRC (can be `NULL` if it’s the same as `red_trc`).

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.